Bug 89944 - Please unify indication of "[NatNum5]#, ## 0"
Summary: Please unify indication of "[NatNum5]#, ## 0"
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.7.2 release
Hardware: Other Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Number-Format CJK-Japanese
  Show dependency treegraph
 
Reported: 2015-03-11 05:56 UTC by HD
Modified: 2022-08-29 06:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description HD 2015-03-11 05:56:16 UTC
Problem description:
It is a request at the time of the setting in Japanese locale "[NatNum5]#, ## 0 "to a cell.

There is a difference in the display depending on the number that is entered in the cell.
Please unify the indication of the cell.

Steps to reproduce:
1.I input a number into a cell.
2.Choose Cell; Click the [Format] → [Cell] on the menu
3.In Dialogue[Format Cells] → [Numbers] → [format code]
 When I set "[NatNum5]#,##0", it is displayed follows.

Indication of Cell

[format code]「Standard」     [format code]「NatNum5]#,##0」
11111111111         →    百拾壱億壱阡百拾壱萬壱阡百拾壱
22222222222         →    弐百弐拾弐億弐阡弐百弐拾弐萬弐阡弐百弐拾弐
33333333333         →    参百参拾参億参阡参百参拾参萬参阡参百参拾参
44444444444         →    四百四拾四億四阡四百四拾四萬四阡四百四拾四
55555555555         →    伍百伍拾伍億伍阡伍百伍拾伍萬伍阡伍百伍拾伍
66666666666         →    六百六拾六億六阡六百六拾六萬六阡六百六拾六
77777777777         →    七百七拾七億七阡七百七拾七萬七阡七百七拾七
88888888888         →    八百八拾八億八阡八百八拾八萬八阡八百八拾八
99999999999         →    九百九拾九億九阡九百九拾九萬九阡九百九拾九

Expected behavior:
[format code]「Standard」     [format code]「NatNum5]#,##0」
11111111111         →    壱百壱拾壱億壱阡壱百壱拾壱萬壱阡壱百壱拾壱

Current behavior:
[format code]「Standard」     [format code]「NatNum5]#,##0」
11111111111         →    百拾壱億壱阡百拾壱萬壱阡百拾壱

Version :4.2.7
Operating System:Windows7
Comment 1 Buovjaga 2015-03-20 16:29:54 UTC
Confirmed current behavior as described, in the Format cell dialog preview.

Lowered severity per https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 2 tommy27 2016-04-16 07:23:44 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-05-22 13:24:00 UTC Comment hidden (obsolete)
Comment 4 Julien Nabet 2018-11-16 23:35:35 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

I used format "[NatNum5]0"
Comment 5 QA Administrators 2019-11-17 03:32:09 UTC Comment hidden (obsolete)
Comment 6 Laurent BP 2020-08-27 21:38:04 UTC
Confirmed with Version : 6.4.6.2
Build ID : 0ce51a4fd21bff07a5c061082cc82c5ed232f115
Threads CPU : 8; OS : Linux 5.4; UI Render : par défaut; VCL: gtk3; 
Locale : fr-FR (fr_FR.UTF-8); Langue IHM : fr-FR
Calc: threaded
Comment 8 QA Administrators 2022-08-29 06:44:41 UTC
Dear HD,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug